Base URL: https://demo-api.incodesmile.com — Incode demo environment
Sends information about device from which endpoint is called
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
deviceType |
string | yes | Platform of device Enum: IOS, ANDROID, WEBAPP |
hash |
string | yes | Hash code of the device fingerprint |
ip |
string | yes | IP address of the device |
ipLocation |
IpLocationDto | Location info based on IP address | |
ipLocation.ipCountry |
string | Country from IP address | |
ipLocation.ipRegion |
string | Region from IP address | |
ipLocation.ipCity |
string | City from IP address | |
ipLocation.ipLatitude |
number (double) | Latitude from IP address | |
ipLocation.ipLongitude |
number (double) | Longitude from IP address | |
data |
string | yes | Additional data about device |
osVersion |
string | OS version. If omitted it is parsed from user agent | |
deviceModel |
string | Device model. If omitted it is parsed from user agent | |
sdkVersion |
string | Version of SDK used | |
hostingApp |
string | hostingApp. Name of the hosting application | |
algorithmName |
string | Name of the fingerprinting algorithm used to produce the hash | |
algorithmVersion |
string | Version of the fingerprinting algorithm used to produce the hash |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean | Flag indicating request passed successfully. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
|
ipCountry |
string | Current country based on the geolocation Api | |
ipState |
string | Current state based on the geolocation Api | |
showMandatoryConsent |
boolean | Render mandatory consent page based on this parameter value. | |
regulationType |
string | Regulation type for the mandatory consent (only if showMandatoryConsent set to true). |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |